Page MenuHomePhabricator

Trying to register an account name with a namespace or interwiki prefix results in the prefix being dropped
Open, NormalPublic

Description

When trying to create a new account that happens to start with an interwiki prefix, the prefix is dropped, and the account is created with just the suffix as the username.

Steps to recreate:

  1. On a test wiki, log off, go to Special:UserLogin, and then click on the blue "Join foowiki" button to get to the signup screen.
  2. Enter the username "Wikipedia:John", choose a password, and click "Create your account". (This step assumes there is no "Wikipedia" namespace on the test wiki, and that "wikipedia" is a registered interwiki prefix.)
  3. The account is created with the username "John".

Expected behaviour: Account creation is prevented with an error message that "Wikipedia:John" is an invalid username.

Event Timeline

MrStradivarius raised the priority of this task from to Needs Triage.
MrStradivarius updated the task description. (Show Details)
MrStradivarius added a subscriber: MrStradivarius.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 2:36 AM
Legoktm set Security to None.
Aklapper triaged this task as Lowest priority.Apr 1 2015, 10:58 AM
TTO raised the priority of this task from Lowest to Normal.Sep 6 2015, 12:19 PM
TTO added a subscriber: TTO.

Also happens with namespace names, as far as I can tell. For example, go to testwiki and try creating the account Help:This, that and the other. It complains that the username entered is already in use, which is obviously not accurate.

Bumping up the priority: some users might not be getting the username they expect.

TTO renamed this task from Trying to register an account name with an interwiki prefix results in the prefix being dropped to Trying to register an account name with a namespace or interwiki prefix results in the prefix being dropped.Sep 6 2015, 12:20 PM
TTO added a subscriber: Anomie.

Change 283775 had a related patch set uploaded (by Gergő Tisza):
Reject usernames with namespace or interwiki prefixes

https://gerrit.wikimedia.org/r/283775

Change 283775 merged by jenkins-bot:
Reject usernames with namespace or interwiki prefixes

https://gerrit.wikimedia.org/r/283775

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 1:02 AM
Tgr added a subscriber: Tgr.May 17 2016, 8:48 AM

Mostly fixed, except for user namespace prefixes.